JspDocumentParser (Jasper Internal API Documentation)
Keywords: org.apache.jasper.compiler.JspDocumentParser class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class JspDocumentParser

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.jasper.compiler.JspDocumentParser

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.ext.LexicalHandler, TagConstants

public class JspDocumentParser
extends org.xml.sax.helpers.DefaultHandler
implements org.xml.sax.ext.LexicalHandler, TagConstants

Class implementing a parser for a JSP document, that is, a JSP page in XML syntax.

Author:
  Jan Luehe

Field Summary

Fields inherited from interface org.apache.jasper.compiler.TagConstants
`JSP_DECLARATION_TAG, JSP_DECLARATION_TAG_END, JSP_DECLARATION_TAG_START, JSP_EXPRESSION_TAG, JSP_EXPRESSION_TAG_END, JSP_EXPRESSION_TAG_START, JSP_FALLBACK_TAG, JSP_FORWARD_TAG, JSP_GET_PROPERTY_TAG, JSP_INCLUDE_DIRECTIVE_TAG, JSP_INCLUDE_TAG, JSP_PAGE_DIRECTIVE_TAG, JSP_PARAM_TAG, JSP_PARAMS_TAG, JSP_PLUGIN_TAG, JSP_ROOT_TAG, JSP_ROOT_TAG_END, JSP_SCRIPTLET_TAG, JSP_SCRIPTLET_TAG_END, JSP_SCRIPTLET_TAG_START, JSP_SET_PROPERTY_TAG, JSP_TEXT_TAG, JSP_TEXT_TAG_END, JSP_TEXT_TAG_START, JSP_USE_BEAN_TAG`

Constructor Summary
`JspDocumentParser(ParserController pc, java.lang.String path, java.io.InputStreamReader reader)`

Method Summary
`void` | `characters(char[] buf, int offset, int len)`
`void` | `comment(char[] buf, int offset, int len)`
`void` | `endCDATA()`
`void` | `endDTD()`
`void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
`void` | `endEntity(java.lang.String name)`
`void` | `error(org.xml.sax.SAXParseException e)`
`void` | `fatalError(org.xml.sax.SAXParseException e)`
`static Node.Nodes` | `parse(ParserController pc, java.lang.String path, java.io.InputStreamReader reader, Node parent)`
`void` | `setDocumentLocator(org.xml.sax.Locator locator)`
`void` | `startCDATA()`
`void` | `startDTD(java.lang.String name, java.lang.String publicId, java.lang.String systemId)`
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attrs)`
`void` | `startEntity(java.lang.String name)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspDocumentParser

    public JspDocumentParser(ParserController pc,
                             java.lang.String path,
                             java.io.InputStreamReader reader)

Method Detail

### parse

    public static Node.Nodes parse(ParserController pc,
                                   java.lang.String path,
                                   java.io.InputStreamReader reader,
                                   Node parent)
                            throws JasperException

  Throws:
    `JasperException`

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes attrs)
                      throws org.xml.sax.SAXException

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(char[] buf,
                           int offset,
                           int len)
                    throws org.xml.sax.SAXException

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator locator)

  Specified by:
    `setDocumentLocator` in interface `org.xml.sax.ContentHandler`

### comment

    public void comment(char[] buf,
                        int offset,
                        int len)
                 throws org.xml.sax.SAXException

  Specified by:
    `comment` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### startCDATA

    public void startCDATA()
                    throws org.xml.sax.SAXException

  Specified by:
    `startCDATA` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### endCDATA

    public void endCDATA()
                  throws org.xml.sax.SAXException

  Specified by:
    `endCDATA` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### startEntity

    public void startEntity(java.lang.String name)
                     throws org.xml.sax.SAXException

  Specified by:
    `startEntity` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### endEntity

    public void endEntity(java.lang.String name)
                   throws org.xml.sax.SAXException

  Specified by:
    `endEntity` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### startDTD

    public void startDTD(java.lang.String name,
                         java.lang.String publicId,
                         java.lang.String systemId)
                  throws org.xml.sax.SAXException

  Specified by:
    `startDTD` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### endDTD

    public void endDTD()
                throws org.xml.sax.SAXException

  Specified by:
    `endDTD` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### fatalError

    public void fatalError(org.xml.sax.SAXParseException e)
                    throws org.xml.sax.SAXException

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`
  Throws:
    `org.xml.sax.SAXException`

### error

    public void error(org.xml.sax.SAXParseException e)
               throws org.xml.sax.SAXException

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.